[Python-modules-team] Bug#497786: python-numpy: import numpy fails for python 2.5

Ondrej Certik ondrej at certik.cz
Thu Sep 4 10:14:45 UTC 2008

On Thu, Sep 4, 2008 at 11:42 AM, Juha Jäykkä <juhaj at iki.fi> wrote:
> Package: python-numpy
> Version: 1:1.1.0-3
> Severity: grave
> Justification: renders package unusable
> Python-numpy seems to be unusable for python 2.5 in lenny. This is a fresh
> upgrade from etch, just aptitude install python-numpy after the upgrade.
> juhaj at neumann 11:21:57 ~> python2.5 -c 'import numpy'
> Traceback (most recent call last):
>  File "<string>", line 1, in <module>
> ImportError: No module named numpy
> juhaj at neumann 11:22:22 ~> python2.4 -c 'import numpy'
> juhaj at neumann 11:22:25 ~> reportbug python-numpy

Indeed, that would be a serious problem. However, I cannot reproduce it:

$ python2.5 -c "import numpy"

could you please create somewhere an environment, or something, so
that we can reproduce it?
Could you for example reinstall python+python-numpy? Also send the output of:

$ dpkg -L python-numpy


$ python -c "import sys;print sys.path"


More information about the Python-modules-team mailing list